Bug 1144627 - Fix shell bugs (that ShellCheck found) by removing obsolete XVersion code
Fix shell bugs (that ShellCheck found) by removing obsolete XVersion code
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
Other Other
: P5 - None : Minor (vote)
: ---
Assigned To: Martin Vidner
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-07 08:57 UTC by Martin Vidner
Modified: 2022-09-12 10:32 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Vidner 2019-08-07 08:57:25 UTC
Back in 2006 SUSE Linux was migrating from XFree86 to X.org which used different filesystem paths, so YaST got an internal config file to manage the transition.
It is time to delete that obsolete code.

The trigger for this was running ShellCheck in yast2-installation which found a bug in the obsolete code.

https://www.shellcheck.net/
Comment 2 Martin Vidner 2019-08-08 14:00:54 UTC
All fixes merged and submitted